import axios from "axios"

export default {
  async reportVisit() {
    const res = await axios({
      method: 'get',
      url: `${process.env.VUE_APP_API_URL_PREFIX}/api/show/visit/scene`,
    })
  },
  async reportVisitDaily() {
    const res = await axios({
      method: 'get',
      url: `${process.env.VUE_APP_API_URL_PREFIX}/api/show/visit/user`,
    })
  },
  async reportRegionClick(regionType) {
    const res = await axios({
      method: 'get',
      url: `${process.env.VUE_APP_API_URL_PREFIX}/api/show/visit/zone/${regionType}`
    })
  },
  async reportHotspotClick() {
    const res = await axios({
      method: 'get',
      url: `${process.env.VUE_APP_API_URL_PREFIX}/api/show/visit/hot`
    })
  },
}